Group

  • PATCH
  • /workspaces
  • /:workspace
  • /projects
  • /:project_name
  • /groups
  • /:group_id

Update project group permissions

Request

REQUIRED SCOPES
WORKSPACE
URL PARAMETERS
workspacerequiredstring
The human-readable ID of the workspace

Example: "my-company"

project_namerequiredstring
The human-readable ID of the project

Example: "my-project"

group_idrequiredinteger
The ID of the group

Example: 123

POST PARAMETERS
permission_setrequiredPermissionSetIdRequest
User permission set configuration

Response

RESPONSE BODY
urlread-onlystring
API endpoint to GET this object
html_urlread-onlystring
Web URL to view this object in Buddy.works
idrequiredinteger
The ID of the group
namestring
The name of the group
permission_setrequiredPermissionSetView
User permission set configuration

Last modified on Jan 26, 2026

Request example

curl -X PATCH "https://api.buddy.works/workspaces/:workspace/projects/:project_name/groups/:group_id" \ -H "Authorization: Bearer <YOUR-TOKEN>" \ -H "Content-Type: application/json" \ -d '{ "permission_set": { "id": 2 } }'